Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.simpleAccesstracking
Class BodyEventAdder

    java.lang.Object
      com.ibm.wbi.Meg
          com.ibm.wbi.Editor
              com.ibm.wbi.protocol.http.HttpEditor
                  scone.proxy.HtmlTokenEditor
                      scone.simpleAccesstracking.BodyEventAdder

All Implemented Interfaces:
  java.util.EventListener, com.ibm.wbi.RequestListener, java.io.Serializable

public class BodyEventAdder
extends HtmlTokenEditor

Adds events to the BODY-Tag to track the actions of a user.

`onLoad` is called after the page was loaded
`onUnload` is called when a page is left

Author:
  Harald Weinreich, Volkert Buchmann
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `COPYRIGHT`

Fields inherited from class scone.proxy.HtmlTokenEditor
`e`

Fields inherited from class com.ibm.wbi.Meg
`EDITOR, GENERATOR, MONITOR, REQUEST_EDITOR, UNDEFINED`

Constructor Summary
`BodyEventAdder()`

Method Summary
`void` | `handleRequest(SconePipe pipe)` tries to add load and unload-events to the body-tag if no body tag can be found before first: heading table link (<A> or <AREA>-Tag image form preformatted text or before EOF a new body-tag is inserted.

Methods inherited from class scone.proxy.HtmlTokenEditor
`handleRequest, setResponseHeaderField`

Methods inherited from class com.ibm.wbi.Editor
`getType`

Methods inherited from class com.ibm.wbi.Meg
`forwardRequest, getCondition, getEnabled, getMegProperty, getMegProperty, getMegPropertyKeys, getName, getPlugin, getPriority, getSystemContext, initialize, initialize, isEnabled, isMegApplicable, loadMegResources, run, setCondition, setEnabled, setMegProperty, setName, setPriority, setSystemContext, setup, setup, setup, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

Constructor Detail

### BodyEventAdder

    public BodyEventAdder()

Method Detail

### handleRequest

    public void handleRequest(SconePipe pipe)

  tries to add load and unload-events to the body-tag

  if no body tag can be found before first:

  1. heading
  2. table
  3. link (<A> or <AREA>-Tag
  4. image
  5. form
  6. preformatted text
  7. or before EOF
  a new body-tag is inserted.

  Specified by:
    `handleRequest` in class `HtmlTokenEditor`
  Parameters:
    `pipe` - the SconePipe containing the document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD